// MyStack.h : Declaration of the CMyStack

#ifndef __MYSTACK_H_
#define __MYSTACK_H_

#include "resource.h"       // main symbols
#include "../Lib1/ActualStack.h"

/////////////////////////////////////////////////////////////////////////////
// CMyStack
class ATL_NO_VTABLE CMyStack : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CMyStack, &CLSID_MyStack>,
	public IMyStack
{
public:
	CMyStack()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_MYSTACK)

BEGIN_COM_MAP(CMyStack)
	COM_INTERFACE_ENTRY(IMyStack)
END_COM_MAP()

// IMyStack
public:
	STDMETHOD(IsFull)(bool &bFull);
	STDMETHOD(Create)(int Size);
	STDMETHOD(IsEmpty)(bool &bEmpty);
	STDMETHOD(Pop)(int &Item);
	STDMETHOD(Push)(int Item);

private:
    CActualStack theStack;
};

#endif //__MYSTACK_H_
