#
# BigIntegerTest.py
# Tests the standard java class java.math.BigInteger

import sys
from java.math import BigInteger

print "Test the standard java BigInteger class."

# Test string conversion
bi = BigInteger( '100' )
if bi.longValue() != 100:
	print "BigInteger string conversion failed."
	sys.exit(1)
	
# Test max operator
bi1 = BigInteger( '100' )
bi2 = BigInteger( '200' )
if bi1.max(bi2) != 200:
	print "BigInteger max operator failed."
	sys.exit(1)
	
# Test absolute value operator
bi = BigInteger( '-100' )
if bi.abs() != 100:
	print "BigInteger abs operator failed."
	sys.exit(1)
	
print "All tests completed."