/*

DISCLAIMER 

InSitu is provided as is, without any kind of guarantees or warranty. There is 
no documentation. The author does not provide any kind of support to users of 
this source code and is not responsible for any kind of problems or damages 
resulting from its use. 

The source code is the result of a long iterative design process for a research 
prototype and was never intended to be used in any kind of product. In general, 
the code cannot be expected to compile in any straightforward manner on your 
computer system, since the robot on which it was developed, has a custom design. 

*/

#ifndef _utils_h_
#define _utils_h_

/* Rene Schaad                                                    */
/* Departement of Computer Science, Univ. of Zurich, Switzerland  */
/* schaad@ifi.unizh.ch                                            */

float AngleMod(float a);
int MinIndex(float a[], int array_size, 
	float &smallest_value, int &index_of_smallest);
int MaxIndex(float a[], int array_size, 
	float &largest_value, int &index_of_largest);
float Min(float v1, float v2);
float Max(float v1, float v2);
float Limit(float v, float min, float max);

#endif	/* _utils_h_ */
