// Stats.cpp: implementation for the CStats class.
//
//////////////////////////////////////////////////////////////////////
#include "Stats.h"

CStats::CStats()
{
    m_nSamples = 0;
    m_nTotal = 0;
}

void CStats::AddToRunningTotal(int nValue)
{
    m_nSamples++;
    m_nTotal+=nValue;
}

float CStats::AvgSampleSize()
{
    return (m_nSamples > 0) ? m_nTotal/m_nSamples : -1.0;
}

