// ActualStack.cpp: implementation of the CActualStack class.
//
//////////////////////////////////////////////////////////////////////
#include "../ActiveX1/StdAfx.h"
#include "ActualStack.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CActualStack::CActualStack()
{
    m_Stack = NULL;
    m_nPos = 0;
}

CActualStack::~CActualStack()
{
    if (NULL != m_Stack)
        delete []m_Stack;
}

CActualStack::Push(int item)
{
    if (NULL != m_Stack)
    {
        m_Stack[m_nPos] = item;
        m_nPos++;
    }
    return 0;
}

int CActualStack::Pop()
{
    if (NULL != m_Stack && !IsEmpty())
    {
        m_nPos--;
        return m_Stack[m_nPos+1];
    }
    return 0;
}

bool CActualStack::IsEmpty()
{
    return 0 == m_nPos;
}

bool CActualStack::IsFull()
{
    return m_nSize == m_nPos;
}

void CActualStack::Create(int size)
{
    m_Stack = new int[size];
}

