#
# Sample2\BadIntegerTest.py
# Tests the standard java class java.math.BigInteger
# WARNING:  This unit test is intentionally broken to
# demnostrate the error handling of TestSuite.

import sys
from java.math import BigInteger
from testcase import TestCase

class BadIntegerTest(TestCase):
	"Test the standard java BigInteger class."

	def test_stringConversion(self):
		"Test string conversion"
		bi = BigInteger( '100' )
		# WRN: Intentional error
		self.assert_( bi.longValue() == 101 )

	def test_maxOperator(self):
		"Test max operator"
		bi1 = BigInteger( '100' )
		bi2 = BigInteger( '200' )
		self.assert_( bi1.max(bi2) == 200 )

	def test_abs(self):
		"Test absolute value operator"
		bi = BigInteger( '-100' )
		self.assert_( bi.abs() == 100 )
		bi = BigInteger( '100' )
		self.assert_( bi.abs() == 100 )

def addTests( ts ):
	ts.add( BadIntegerTest( "BadIntegerTest" ) )
		
if __name__ == "__main__":
	
	c = BadIntegerTest( "BadIntegerTest" )
	c.runTest()	