/*

DISCLAIMER 

InSitu is provided as is, without any kind of guarantees or warranty. There is 
no documentation. The author does not provide any kind of support to users of 
this source code and is not responsible for any kind of problems or damages 
resulting from its use. 

The source code is the result of a long iterative design process for a research 
prototype and was never intended to be used in any kind of product. In general, 
the code cannot be expected to compile in any straightforward manner on your 
computer system, since the robot on which it was developed, has a custom design. 

*/

#ifndef _Errors_h_
#define _Errors_h_

/* Rene Schaad                                                    */
/* Computer Science Institute, University of Zurich, Switzerland  */
/* schaad@ifi.unizh.ch                                            */

#include "defines.h"

void out_error(int errn, const char *argp);
void out_error(int errn, const int nr=0);
void out_error(int errn, const char *argp, const int nr);

#endif	/* _Errors_h_ */
